@mixin font-face($font-family, $url, $weight, $style, $form) {
    @font-face {
      font-family: "#{$font-family}";
      src: url('#{$url}') format("#{$form}");
      font-weight: #{$weight};
      font-display: swap;
      font-style: $style;
    }
  }